Show / Hide Table of Contents

# UnityAsyncExtensions.AssetBundleRequestAwaiter Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct AssetBundleRequestAwaiter : ICriticalNotifyCompletion

##### Implements

ICriticalNotifyCompletion

### Members

#### Constructors

Name | Description
--- | ---
AssetBundleRequestAwaiter(AssetBundleRequest) |

#### Properties

Name | Description
--- | ---
IsCompleted |

#### Methods

Name | Description
--- | ---
GetResult() |
OnCompleted(Action) |
UnsafeOnCompleted(Action) |

### Constructors

#### AssetBundleRequestAwaiter(AssetBundleRequest)

    public AssetBundleRequestAwaiter(AssetBundleRequest asyncOperation)

##### Parameters

`asyncOperation` AssetBundleRequest

### Properties

#### IsCompleted

    public bool IsCompleted { get; }

##### Property Value

System.Boolean

### Methods

#### GetResult()

    public UnityEngine.Object GetResult()

##### Returns

UnityEngine.Object

#### OnCompleted(Action)

    public void OnCompleted(Action continuation)

##### Parameters

`continuation` Action

#### UnsafeOnCompleted(Action)

    public void UnsafeOnCompleted(Action continuation)

##### Parameters

`continuation` Action

### Implements

ICriticalNotifyCompletion